Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 979153 - subscription-manager-1.1.23 (6.4 shipped versio) fails to start if it encounters a v3.2 cert with no order.contract
Summary: subscription-manager-1.1.23 (6.4 shipped versio) fails to start if it encount...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: candlepin-bugs
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-27 18:47 UTC by Adrian Likins
Modified: 2019-09-26 15:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 17:09:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Adrian Likins 2013-06-27 18:47:16 UTC
Description of problem:
If an older client (subscription-manager-1.1.23, for ex) encounters
an entitlement cert with no Order.contract value, the gui throws
an exception and fails to start.

NOTE:  this was an entitlement cert left on the box that was registered
and subscribed with a newer client, then had an older client installed.


[subscription-manager (master %)]$ sudo subscription-manager-gui 
sequence item 0: expected string, NoneType found

< /var/log/rhsm/rhsm.log >
...
2013-06-27 14:15:30,144 [ERROR]  @subscription-manager-gui:146 - sequence item 0: expected string, NoneType found
Traceback (most recent call last):
  File "/usr/sbin/subscription-manager-gui", line 129, in <module>
    main = managergui.MainWindow(auto_launch_registration=options.register)
  File "/usr/share/rhsm/subscription_manager/gui/managergui.py", line 245, in __init__
    prod_dir=self.product_dir)
  File "/usr/share/rhsm/subscription_manager/gui/installedtab.py", line 108, in __init__
    self.update_products()
  File "/usr/share/rhsm/subscription_manager/gui/installedtab.py", line 181, in update_products
    contract = self.rreplace((", ").join(contract_ids), \
TypeError: sequence item 0: expected string, NoneType found


rct cat-cert /etc/pki/entitlement/1187350796435672031.pem
+-------------------------------------------+
        Entitlement Certificate
+-------------------------------------------+

Certificate:
        Path: /etc/pki/entitlement/1187350796435672031.pem
        Version: 3.2
        Serial: 1187350796435672031
        Start Date: 2012-12-31 05:00:00+00:00
        End Date: 2013-12-31 04:59:59+00:00

Subject:
        CN: 8a8d019a3f86ca58013f86d5345a005c

Product:
        ID: 180
        Name: Red Hat Beta
        Version: 
        Arch: x86_64,ppc64,ia64,ppc,s390,x86,s390x
        Tags: 

Product:
        ID: 69
        Name: Red Hat Enterprise Linux Server
        Version: 
        Arch: x86_64,ia64,x86
        Tags: 

Order:
        Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
        Number: 
        SKU: RH0103708
        Contract: 
        Account: 5206751
        Service Level: Premium
        Service Type: L1-L3
        Quantity: 5
        Quantity Used: 1
        Socket Limit: 8
        RAM Limit: 
        Virt Limit: 
        Virt Only: False
        Subscription: 
        Stacking ID: 
        Warning Period: 0
        Provides Management: False

< ... Lots and Lots of Content info here but ...>




Version-Release number of selected component (if applicable):

[subscription-manager (master %)]$ rpm -q subscription-manager subscription-manager-gui python-rhsm
subscription-manager-1.1.23-1.el6.x86_64
subscription-manager-gui-1.1.23-1.el6.x86_64
python-rhsm-1.1.8-1.el6.x86_64

Expected results:


Additional info:

Comment 7 RHEL Program Management 2013-09-17 04:24:40 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 10 Mike McCune 2013-09-18 16:50:55 UTC
Will test this with Sat6 MD2

Comment 11 Og Maciel 2013-10-21 16:03:07 UTC
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch

Comment 14 Bryan Kearney 2014-04-24 17:09:12 UTC
This was verified and delivered with MDP2. Closing it out.

Comment 15 Bryan Kearney 2014-04-24 17:10:46 UTC
This was delivered and verified with MDP2. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.